
#include <Spectre/Input/Mouse.h>

Mouse::~Mouse()
{
}

std::string Mouse::getButtonName(MouseButton::Type button)
{
	switch(button) {
	case MouseButton::Button1 : return "Button1";
	case MouseButton::Button2 : return "Button2";
	case MouseButton::Left : return "Left";
	case MouseButton::Right : return "Right";
	case MouseButton::Middle : return "Middle";
	case MouseButton::Unknown :
	default:
		return "Unknown";
	}
}
